
QGIS Application - Feature request #119

Run actions directly from the map canvas

2006-05-16 03:34 AM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 10178

Description

It would be nice to be able to run actions by clicking on the map canvas aka identify but instead getting a list of the various actions that

could be run on the identified features.

Associated revisions

Revision acc1d558 - 2012-01-11 04:07 PM - Giuseppe Sucameli

[FEATURE] add "feature action" map tool to run actions directly when clicking on features (fix #119 and #4262)

work done for Regione Toscana-SIGTA

History

#1 - 2008-10-14 11:42 PM - gjm -

Won't be happening for version 1.0

#2 - 2010-05-17 11:21 PM - Paolo Cavallini

I think an ad hoc button (next to the info tool one, possibly greyed out when no actions are available) should be simple to implement, and very handy for

users.

#3 - 2011-12-01 12:10 AM - Paolo Cavallini

- Assignee changed from Gavin Macaulay - to Giuseppe Sucameli

- Pull Request or Patch supplied set to No

#4 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-01-11 07:08 AM - Giuseppe Sucameli

- % Done changed from 0 to 100

- Status changed from Open to Closed

Fixed in changeset commit:"acc1d558f52f2d36b13f74fed958ac44b6cbbf6e".

#6 - 2012-01-11 07:23 AM - Giuseppe Sucameli

It's a new feature, so it shouldn't be backported.
#7 - 2012-01-11 07:23 AM - Giuseppe Sucameli

- Resolution set to fixed

#8 - 2012-01-11 09:14 PM - Alister Hood

Great, thanks.

Currently it only operates on a single selected layer.  It would probably be best to make it obey the identify mode (Settings>Options>Map Tools) - so if the

identify mode is not set to "Current layer", it would work on all layers.

#9 - 2012-01-11 10:18 PM - Paolo Cavallini

Interesting. This raises additional points (what if there are >1 actions with the same name for different layers?).

Please open a new ticket on this feature request.

#10 - 2012-03-06 05:56 PM - Alister Hood

what if there are >1 actions with the same name for different layers?

Hmmm.  It is currently possible to have more than one action with the same name for the same layer, and the actions are all shown in the drop-down and

work as expected.  I guess unless it was made impossible to have two actions with the same name for the same layer, then all the actions for all the layers

would need to be listed separately, in which case there probably wouldn't be much pointed in making the tool work with multiple layers.

Please open a new ticket on this feature request.

I think it is probably too complicated for the way the "Run feature action" is implemented.  The new "hotlink" plugin is probably a good enough solution.

#11 - 2012-03-07 12:07 AM - Regis Haubourg

Hi, If backporting is too risky, you can use (until 2.0 is released) "Hotlink plugin" published some weeks ago. Hotlink plugin is a clone of the Mapinfo tool. It

opens a popup to allow user to choose available actions under cursor clic, on all layers in the same time. If user just hangs cursor without clicking, it

displays a infotip with actions names. 

Cheers, Régis
